• Docker cannot work on other overlayfs filesystems such as ecryptfs won't start overlayfs: filesystem on '/home/docker/overlay2/check-overlayfs-support130645871/upper' not supported as upperdir


    This does not seem to be officially documented but makes sense that an overlay on an overlay does not work and is considered an unsupported filesystem as is even NTFS . Some admins/organizations try to use ecyptfs as a simple solution to encrypt the contents of Docker. Instead, you could probably........
  • How To Boot, Install and Run Windows 2000 on QEMU-KVM


    Interestingly enough Windows 2000 works fine on QEMU 64-bit but you have to specify Pentium as your CPU otherwise it doesn't complete the install (it will not pass the detecting/setting up devices phase). -vga cirrus is wise because it is supported by Windows 2000 and allows higher resolutions and 24-bit color. -cpu Pentium emulates an old computer and is necessary for install to complete -device rtl8139 is important as this oldschool Realtek 8139 NIC is supported by W........
  • How To Install python 3.4 3.5 and up on Linux with wine - Working Solution


    This is sure simple if you follow the guide but it took a lot of hacking around to make this work on Debian/Ubuntu! Now before you ask why bother running wine and python, the reason is because Python executables are NOT cross-platform. If you run pyinstaller in Linux, that binary will only run on Linux and the same if you do it in Windows. So it is preferable if you have a single environment that you can create Linux and Windows binaries from rather than running 2 separate........
  • Cisco Unified Communications Manager 12 Install Errors on Proxmox/KVM


    The strange thing is that usually the first install or two will work on any new machine but then it suddenly won't. I had this experience on QEMU 2.13 on a different machine. There is something finicky or buggy about the CUCM installer even when choosing the same virtual hardware specs. qemu-kvm command: /usr/libexec/qemu-kvm -version QEMU PC emulator version 0.12.1 (qemu-kvm-0.12.1.2-2.506.el6_10.1), Copyright (c) 2003-2008 Fabrice Bellard ........
  • Relocating modules and starting up the kernel - VMWare ESXi 6.7 Error and Solution


    I had this error in an unsupported CPUon VMWare 6.7 and apparently this sometimes works especially on older VMWare versions like 6.5 5.5 etc (but in my case it did not). To make sure it proceed when you see "Loading VMWare" Hit "Shift+O" Then add "ignoreHeadless=TRUE" See an example below:........
  • Linux Mint missing ffmpeg solution to install from Ubuntu PPA


    This is very annoying that ffmpeg is missing from Linux Mint! They have ffmpeg2theora which is a totally different codec and does not work as ffmpeg does at all (it is basically totally different). However on Linux Mint 17 I was able to use a Ubuntu PPA and sucessfully install ffmpeg! https://launchpad.net/~mc3man/+archive/ubuntu/trusty-media Adding this PPA to your system........
  • error: Legacy syntax is unsupported: copyright error: line 10: Unknown tag: Copyright: distributable


    Usually just modify the .spec file to resolve this: vi specfile.spec Change "Copyright: GPL" to "License: GPL" and try again.........
  • Ubuntu Download Packages/Updates for EOL Unsupported Old Releases


    I installed Ubuntu 11.04 for testing purposes but I couldn't even download SSH server: sudo sed -i -e 's/us.archive.ubuntu.com/old-releases.ubuntu.com/g' /etc/apt/sources.list After running the above make sure you do a "apt-get update" Note with the above that Ihave the search string of "us.archive.ubuntu.com" change it to whatever is in your sources.list The above does not fix all repositories either, I haven't had a chance t........
  • Upgrade Release Kernel Tips


    Upgrade Release Kernel TipsThis is for CentOS 3.1 to 3.8 but the methodology will apply everywhere. I ran into a problem first of all with a non-booting system after running #yum update centos-release It took me to 3.8 and upgraded all the other packages [b:7e931c835d]BUT[/b:7e931c835d] because of some stupid flags enabled in /etc/yum.conf the KERNEL WASN'T UPGRADED SO AFTER BOOTING, WELL IT DIDN'T BOOT OF COURSE :) H........
  • Latest Articles

  • qemu: could not load PC BIOS 'bios-256k.bin' solution
  • Proxmox How To Custom Partition During Install
  • Hyper-V Linux VM Boots to Black Screen, Storage, NIC Not Found Issues
  • Ubuntu Mint How to Fix Missing/Broken /dev and /dev/pts which causes terminal to immediately close exit and not work
  • How high can a Xeon CPU get?
  • bash fix PATH environment variable "command not found" solution
  • Ubuntu Linux Mint Debian Redhat Youtube Cannot Play HD or 4K videos, dropped frames or high CPU usage with Nvidia or AMD Driver
  • hostapd example configuration for high speed AC on 5GHz using WPA2
  • hostapd how to enable and use WPS to connect wireless devices like printers
  • Dell Server Workstation iDRAC Dead after Firmware Update Solution R720, R320, R730
  • Cloned VM/Server/Computer in Linux won't boot and goes to initramfs busybox Solution
  • How To Add Windows 7 8 10 11 to GRUB Boot List Dual Booting
  • How to configure OpenDKIM on Linux with Postfix and setup bind zonefile
  • Debian Ubuntu 10/11/12 Linux how to get tftpd-hpa server setup tutorial
  • efibootmgr: option requires an argument -- 'd' efibootmgr version 15 grub-install.real: error: efibootmgr failed to register the boot entry: Operation not permitted.
  • Apache Error Won't start SSL Cert Issue Solution Unable to configure verify locations for client authentication SSL Library Error: 151441510 error:0906D066:PEM routines:PEM_read_bio:bad end line SSL Library Error: 185090057 error:0B084009:x509 certif
  • Linux Debian Mint Ubuntu Bridge br0 gets random IP
  • redis requirements
  • How to kill a docker swarm
  • docker swarm silly issues